<?php 
/**
 * Template part - Blog Section of FrontPage
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package bizhunt
 */
?>
<?php 
if(get_theme_mod('bizhunt_blog_enable')){

	$bizhunt_blog_title      	= get_theme_mod( 'bizhunt_blog_title', '' );
	$bizhunt_blog_subtitle   	= get_theme_mod( 'bizhunt_blog_subtitle', '' );
	$bizhunt_blog_content  	= get_theme_mod( 'bizhunt_blog_content', '' );
	?>
	<section id="blog" class="section">
		<div class="container">
			<div class="row">
				<div class="col-md-12">
					<div class="section-title">
						<?php if(!empty($bizhunt_blog_subtitle)): ?>
							<h4><?php echo esc_html($bizhunt_blog_subtitle); ?></h4>
						<?php endif; ?>
						<?php if(!empty($bizhunt_blog_title)): ?>
							<h2><?php echo esc_html($bizhunt_blog_title); ?></h2>
						<?php endif; ?>
						<?php if(!empty($bizhunt_blog_content)): ?>
							<p><?php echo esc_html($bizhunt_blog_content); ?></p>
						<?php endif; ?>
					</div>
				</div>
			</div>
			<div class="row">
				<?php 
				$bizhunt_blog_category		= get_theme_mod( 'bizhunt_blog_category' );
				$bizhunt_blog_no		= get_theme_mod( 'bizhunt_blog_no' );

				$brand_args			= array(
					'post_type'				=> 'post',
					'cat'					=> absint( $bizhunt_blog_category ),
					'posts_per_page'		=> $bizhunt_blog_no,
					'ignore_sticky_posts'	=> 1,
				);
				$brand_query		= new WP_Query( $brand_args );
				if($brand_query->have_posts() ) :
					while( $brand_query->have_posts() ) :
						$brand_query->the_post();

						?>
						<div class="col-md-4 col-sm-4 col-xs-12 wow fadeIn" data-wow-duration="0.8s" data-wow-delay="0.4s">
							<div class="single-news">
								<div class="news-head">
									<?php if( has_post_thumbnail() ) :
										the_post_thumbnail('bizhunt_team_265_210'); 
									endif;
									?>									
									<a class="link" href="<?php the_permalink(); ?>"><i class="fa fa-plus"></i></a>
								</div>
								<div class="news-body">
									<div class="news-content">
										<span class="date"><?php the_date(); ?></span>
										<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
										<?php the_excerpt(); ?>
										<a href="<?php the_permalink(); ?>" class="btn"><?php esc_html_e('Read More','bizhunt'); ?></a>
									</div>
								</div>
							</div>
						</div>
						<?php
					endwhile; 
				endif;
				?>
			</div>
		</div>
	</section>
	<?php } ?>