<?php 
/**
 * Template part - Testimonial Section of FrontPage
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package bizhunt
 */

?>
<?php 
if(get_theme_mod('bizhunt_testimonial_enable')){

	$bizhunt_testimonial_title      	= get_theme_mod( 'bizhunt_testimonial_title');
	$bizhunt_testimonial_subtitle   	= get_theme_mod( 'bizhunt_testimonial_subtitle');
	$bizhunt_testimonial_content  		= get_theme_mod( 'bizhunt_testimonial_content');

	$i=1;
	for($k=1;$k<11;$k++){
		$bizhunt_testimonial_page[$i] = get_theme_mod('bizhunt_testimonial_page_'.$k);    
		$bizhunt_testimonial_post[$i] = get_theme_mod('bizhunt_testimonial_post_'.$k);
		$i++;     
	}
	$args = array (
		'post_type' => 'page',
		'posts_per_page' => $i,
		'post__in'      => $bizhunt_testimonial_page,
		'orderby'        =>'post__in',
	);
	$testimonial_query = new WP_Query($args);
	if ($testimonial_query->have_posts()) :
		?>
		<section id="testimonials" class="section">
			<div class="container">
				<div class="row">
					<div class="col-md-12">
						<div class="section-title">
							<?php if(!empty($bizhunt_testimonial_subtitle)): ?>
								<h4><?php echo esc_html($bizhunt_testimonial_subtitle); ?></h4>
							<?php endif; ?>
							<?php if(!empty($bizhunt_testimonial_title)): ?>
								<h2><?php echo esc_html($bizhunt_testimonial_title); ?></h2>
							<?php endif; ?>
							<?php if(!empty($bizhunt_testimonial_content)): ?>
								<p><?php echo esc_html($bizhunt_testimonial_content); ?></p>
							<?php endif; ?>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12 col-xs-12">
						<div class="owl-carousel testimonial-slider">
							<?php
							$k=1;
							while( $testimonial_query->have_posts() ) :
								$testimonial_query->the_post();
								?>
								<div class="single-testimonial">
									<?php the_excerpt(); ?>
									<div class="client">
										<?php
										if( has_post_thumbnail() ) :
											the_post_thumbnail('bizhunt_work_360_280');
										endif;
										?>
										<h4 class="name"><?php the_title(); ?>
										<?php if(!empty( $bizhunt_testimonial_post[ $k ] )) { ?>
											<span>
												<?php echo esc_html( $bizhunt_testimonial_post[ $k ] ); ?>
											</span>
										<?php } ?>
									</h4>
								</div>
							</div>
							<?php
							$k++;
						endwhile;
						wp_reset_postdata();
						?>

					</div>
				</div>
			</div>
		</div>
	</section>
	<?php endif; } ?>